ace-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marcel Offermans <marcel.offerm...@luminis.nl>
Subject Re: Building ACE
Date Fri, 15 Jul 2011 15:08:03 GMT
Hello John,

I would say, bump it, and submit a bug report if that does not help.

One other suggestion would be to start with the 0.8.0-incubator release of ACE:

http://incubator.apache.org/ace/downloads.cgi

If you download the "assembly" for the devserver, you should be able to directly launch a
server and follow the instructions on the getting started page:

http://incubator.apache.org/ace/getting-started.html

If you want a target, you can either download the devgateway assembly, or even the "org.apache.ace.launcher"
artifact, which is an executable JAR file that contains both the Felix framework and the ACE
management agent and by default connects to an ACE server on localhost.

Greetings, Marcel


On 15 Jul 2011, at 16:45 , Jean-Baptiste Onofré wrote:

> Thanks for reporting this.
> 
> Let me check to upgrade the artifact version.
> 
> Regards
> JB
> 
> On 07/15/2011 04:38 PM, john.dunlap@exceter.com wrote:
>> I attempted to build ACE from trunk and I got the following error,
>> [ERROR] Failed to execute goal on project
>> org.apache.ace.deployment.streamgenerator: Could not resolve
>> dependencies for project
>> org.apache.ace:org.apache.ace.deployment.streamgenerator:bundle:0.8.1-incubator-SNAPSHOT:
>> Could not find artifact biz.aQute:bndlib:jar:0.0.313
>> 
>> I confirmed that version 0.0.313 is not available in maven central,
>> http://search.maven.org/#search%7Cgav%7C1%7Cg%3A%22biz.aQute%22%20AND%20a%3A%22bndlib%22
>> 
>> 
>> I could bump the version of this dependency but I don't know if that
>> will cause other problems. How should I proceed?


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message